package p13_pliki.podstawy;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.List;

// Od Java 7 istnieje klasa Files, która posiada b. dużo gotowych operacji na plikach.
// readAllLines czyta całą treść pliku tekstowego w formie listy linii.
// Cała treść jest wczytywana do pamięci - to jest kosztowne dla dużych plików.
public class Odczyt5_ReadAllLines {

	public static void main(String[] args) {
		
		try {
			List<String> lines = Files.readAllLines(Paths.get("plik.txt"));
			System.out.println("Odczytanych linii: " + lines.size());
			for (String line : lines) {
				System.out.println(line);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

}
